EDIT - bug #7091

Add uri field and abbreviatedText to Righs in supplemental data
11/24/2017 03:20 PM - Andreas Miller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal Found in Version:

Description

The current implementation only allows setting of Rights Type, Agent and Text, but not the uri and the abbreviatedText which are
also part of the Rights class.

In general we also need a bulk editor for rights, but this is a separate issue.

NOTE: Maybe we need uri and abbreviatedText only for rights of type "licence", as only those show uri and abbrevText in the data
portal currently.

Related issues:

Related to EDIT - bug #6688: Rights do not show up in rights search if no tex... Duplicate
Related to EDIT - bug #6544: Bulkeditor for Rights New
Related to EDIT - bug #6262: Implement Rights reusable in TaxEditor Closed
Related to EDIT - bug #9506: Rights can not be selected for reuse Closed

Associated revisions

Revision Ofe8c1ba - 03/04/2021 11:35 AM - Katja Luther
ref #7091: add abbrev. text and uri to rights

History

#1 - 11/24/2017 03:22 PM - Andreas Miiller
- Related to bug #6688: Rights do not show up in rights search if no text is given added

#2 - 11/24/2017 03:23 PM - Andreas Miiller
- Related to bug #6544: Bulkeditor for Rights added

#3 - 11/24/2017 03:23 PM - Andreas Miiller
- Related to bug #6262: Implement Rights reusable in TaxEditor added

#4 - 11/24/2017 03:40 PM - Andreas Miiller
- Subject changed from Add uri field to Righs in supplemental data to Add uri field and abbreviatedText to Righs in supplemental data

- Description updated

#5 - 11/24/2017 04:39 PM - Andreas Miller

- Description updated

#6 - 03/04/2021 10:02 AM - Andreas Miiller
- Related to bug #9506: Rights can not be selected for reuse added

#7 - 03/04/2021 10:05 AM - Andreas Miiller
- Tags changed from greece to greece, fast

- Target version changed from Unassigned CDM tickets to Release 5.22

Licences become more important in future (Chichorieae has such data) so we should try to implement it soon

04/17/2024 1/2




#8 - 03/04/2021 11:36 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

this should be fixed.

#9 - 03/04/2021 12:00 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.21

#10 - 03/04/2021 02:28 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 100

seems to work as expected.

#11 - 06/03/2021 11:28 AM - Andreas Miiller

- Tags changed from greece, fast to greece
